Package twisted :: Package manhole :: Module telnet :: Class ShellFactory

[show private | hide private]
[frames | no frames]

## Class ShellFactory

    Factory --+
              |
             ShellFactory

Method Summary
| `__init__(self)`
| ``__getstate__`(self)` This returns the persistent state of this shell factory.
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`str` | `password`
`class` | `Shell`
`str` | `username`

Method Details

### __getstate__(self)

This returns the persistent state of this shell factory.

Class Variable Details

### password

  Type:
    `str`
  Value:

        'admin'

### Shell

`Shell` = `twisted.manhole.telnet.Shell`

### username

  Type:
    `str`
  Value:

        'admin'

Generated by Epydoc 1.1 on Thu May 8 13:18:33 2003 | http://epydoc.sf.net